#ifndef BOT_UTIL_H
#define BOT_UTIL_H

#include <dpp/dpp.h>

class util {
public:
    /**
     * @brief The type of embed
     */
    enum EmbedType {ERROR,SUCCESS,INFO};

    /**
     * @brief Gets the hex color of an embed type
     * @param type The type of embed
     * @return The hex color
     */
    static uint32_t getHexColor(EmbedType type = INFO);

    /**
     * @brief Gets the default embed
     * @return The default embed
     */
    static dpp::embed getDefaultEmbed(EmbedType type = INFO);
};


#endif //BOT_UTIL_H
